Am I missing something?

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Am I missing something?

James Zuelow
After some distraction, I am back to my migration project from 1.2.9 to
1.5.93 on Debian.

I copied over some rrd files, and tried to convert them to jrd files.
The wiki says to grab the Jrobin 1.5.4 tarball, and if that's not
available that 1.5.8 would work with the same instructions.  I went
looking for a tarball and only found it on the sourceforge site, and
only for 1.5.9.

I tried the converter but it fails.

This machine is Debian Lenny, with everything stock except for
Postgresql-8.2 pulled from snapshot.debian.net and opennms pulled from
opennms.org.  I added those respositories to my sources.conf and just
did an `apt-get install opennms` -- so far, everything looks like it's
working.

Do I need other dependencies for the Jrobin converter to work?  Shell
output pasted below.  (Everything from the old machine that I am copying
over is buried in /opt/opennms/[path], so that's why the path is so long
to the rrd files.)

James Zuelow....................CBJ MIS (907)586-0236
Network Specialist...Registered Linux User No. 186591


mis-opennms2-lnx:/opt/opennms/var/lib/opennms/rrd/snmp/10#
java -jar /tmp/JRobinLite-1.5.9/lib/convertor-1.5.9.jar avgBusy5.rrd
Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad
version
number in .class file
        at java.lang.ClassLoader.defineClass1(Native Method)
        at java.lang.ClassLoader.defineClass(ClassLoader.java:620)
        at
java.security.SecureClassLoader.defineClass(SecureClassLoader.java:124)
        at java.net.URLClassLoader.defineClass(URLClassLoader.java:260)
        at java.net.URLClassLoader.access$100(URLClassLoader.java:56)
        at java.net.URLClassLoader$1.run(URLClassLoader.java:195)
        at java.security.AccessController.doPrivileged(Native Method)
        at java.net.URLClassLoader.findClass(URLClassLoader.java:188)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:306)
        at sun.misc.Launcher$AppClassLoader.loadClass(Launcher.java:268)
        at java.lang.ClassLoader.loadClass(ClassLoader.java:251)
        at java.lang.ClassLoader.loadClassInternal(ClassLoader.java:319)
mis-opennms2-lnx:/opt/opennms/var/lib/opennms/rrd/snmp/10# dpkg -l |
grep java
ii  java-common                       0.30                       Base of
all
Java packages
ii  libopennms-java                   1.5.93-1                  
Enterprise-grade Open-source Network Management Platform (Open
ii  libopennmsdeps-java               1.5.93-1                  
Enterprise-grade Open-source Network Management Platform (Requ
ii  libpg-java                        8.2-504-2                  Java
database
(JDBC) driver for PostgreSQL
ii  sun-java5-bin                     1.5.0-15-1                 Sun
Java(TM)
Runtime Environment (JRE) 5.0 (architecture depen
ii  sun-java5-jre                     1.5.0-15-1                 Sun
Java(TM)
Runtime Environment (JRE) 5.0 (architecture indep

-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Please read the OpenNMS Mailing List FAQ:
http://www.opennms.org/index.php/Mailing_List_FAQ

opennms-discuss mailing list

To *unsubscribe* or change your subscription options, see the bottom of this page:
https://lists.sourceforge.net/lists/listinfo/opennms-discuss
Reply | Threaded
Open this post in threaded view
|

Re: Am I missing something?

Benjamin Reed
James Zuelow wrote:

> mis-opennms2-lnx:/opt/opennms/var/lib/opennms/rrd/snmp/10#
> java -jar /tmp/JRobinLite-1.5.9/lib/convertor-1.5.9.jar avgBusy5.rrd
> Exception in thread "main" java.lang.UnsupportedClassVersionError: Bad

I think the problem is that this jrobin was built with a newer java than
you have.

I suspect I need to go back and re-release it targeting jdk 1.5.


--
Benjamin Reed
The OpenNMS Group
http://www.opennms.org/



-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Please read the OpenNMS Mailing List FAQ:
http://www.opennms.org/index.php/Mailing_List_FAQ

opennms-discuss mailing list

To *unsubscribe* or change your subscription options, see the bottom of this page:
https://lists.sourceforge.net/lists/listinfo/opennms-discuss

signature.asc (257 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Am I missing something?

James Zuelow
Sun-java6 is available on Lenny.  I think apt pulled down sun-java5
because I didn't have contrib and non-free set up in sources.list.

Would anything else in OpenNMS break if I updated?

Of if there's a URL for the 1.5.8 tarball I could grab that as well.


-----Original Message-----

I think the problem is that this jrobin was built with a newer java than
you have.

I suspect I need to go back and re-release it targeting jdk 1.5.


--
Benjamin Reed
The OpenNMS Group
http://www.opennms.org/



-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Please read the OpenNMS Mailing List FAQ:
http://www.opennms.org/index.php/Mailing_List_FAQ

opennms-discuss mailing list

To *unsubscribe* or change your subscription options, see the bottom of this page:
https://lists.sourceforge.net/lists/listinfo/opennms-discuss
Reply | Threaded
Open this post in threaded view
|

Re: Am I missing something?

Benjamin Reed
James Zuelow wrote:
> Sun-java6 is available on Lenny.  I think apt pulled down sun-java5
> because I didn't have contrib and non-free set up in sources.list.
>
> Would anything else in OpenNMS break if I updated?

Shouldn't...  Tho' you never know.  ;)

> Of if there's a URL for the 1.5.8 tarball I could grab that as well.

Nah, I just put up a new (1.5.9.1) tarball:

  http://sourceforge.net/projects/jrobin/

Let me know if it still fails with that.  I think it should work though.

--
Benjamin Reed
The OpenNMS Group
http://www.opennms.org/



-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Please read the OpenNMS Mailing List FAQ:
http://www.opennms.org/index.php/Mailing_List_FAQ

opennms-discuss mailing list

To *unsubscribe* or change your subscription options, see the bottom of this page:
https://lists.sourceforge.net/lists/listinfo/opennms-discuss

signature.asc (257 bytes) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: Am I missing something?

James Zuelow
The 1.5.9.1 works well -- it's chugging through the rrd files right now.

Thank you!

James Zuelow....................CBJ MIS (907)586-0236
Network Specialist...Registered Linux User No. 186591
-----Original Message-----
From: [hidden email]
[mailto:[hidden email]] On Behalf Of
Benjamin Reed


Let me know if it still fails with that.  I think it should work though.

--
Benjamin Reed
The OpenNMS Group
http://www.opennms.org/



-------------------------------------------------------------------------
This SF.Net email is sponsored by the Moblin Your Move Developer's challenge
Build the coolest Linux based applications with Moblin SDK & win great prizes
Grand prize is a trip for two to an Open Source event anywhere in the world
http://moblin-contest.org/redirect.php?banner_id=100&url=/
_______________________________________________
Please read the OpenNMS Mailing List FAQ:
http://www.opennms.org/index.php/Mailing_List_FAQ

opennms-discuss mailing list

To *unsubscribe* or change your subscription options, see the bottom of this page:
https://lists.sourceforge.net/lists/listinfo/opennms-discuss